Create an Intent Refund
Declare the full or partial refund of a payment processed by a third-party PSP, represented by an Intent Refund.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
If your platform is using a proxy to take SCA-triggering action on behalf of users, you also need to integrate mTLS authentication and use the api-mtls base URL.
Path parameters
Request
Information about the transaction authorization processed by the third-party PSP.
The amount of the Refund, required for a partial refund. The Refund Amount must equal the sum of the Amount values refunded for all line items.
The amount of fees to be diverted to the platform's Fees Wallet when the Intent is split. This value can be overridden when the Split is created.
The PlatformFeesAmount value must the sum of all line item Seller.FeesAmount values.
Max. length: 255 characters
Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: "{\"id_1\":AB123,\"id_2\":DE456}".
Response
The full amount authorized in the Intent, which must equal the sum of the total amounts of all LineItems.
The amount of fees to be diverted to the platform's Fees Wallet when the Intent is split. This value can be overridden when the Split is created.
The PlatformFeesAmount value must the sum of all line item Seller.FeesAmount values.
The status of the Intent, as declared by the platform through Intent Captures, Refunds (and reversals), or Disputes (and decisions). Where partial actions occur, the top-level Intent Status may differ from the Status of Intent LineItems.
Intent Status values:
AUTHORIZED– The IntentAmountwas authorized for acquisition by the PSP and can be captured or canceled.PARTIALLY_CAPTURED– Part of the IntentAmountfrom one or moreLineItemswas captured. The other parts are either still available for capture or cancel.CAPTURED– All of the IntentAmountwas captured. Part of it may have been subsequently refunded or disputed.CANCELLED– All of the IntentAmountwas canceled.REFUNDED– All of theCapturedAmountof allLineItemswas refunded.REFUND_REVERSED– The refund could not be completed and the funds were returned to the platform.DISPUTED– All of theCapturedAmountof allLineItemswas disputed.DEFENDED– The dispute is being defended by the platform.DISPUTED_WON– The dispute was resolved in favor of the platform.DISPUTED_LOST– The dispute was resolved against the platform.
Information about the transaction authorization processed by the third-party PSP.
Unix timestamp (UTC) of the date and time the object was created.
Unix timestamp (UTC) of the date and time the Intent moved to AUTHORIZED.